/* 
 * File:   cKlinkPdu.h
 * Author: john
 *
 * Created on 13 April 2011, 10:04 AM
 */

#ifndef CKLINKPDU_H
#define	CKLINKPDU_H

#include <stdint.h>
#include <cKlinkDataBuffer.h>

class cKlinkPdu : public cKlinkDataBuffer
{
public:
    enum eTxStatus
    {
        PDU_NOT_TRANSMITTED,
        PDU_TRANSMITTED
    };
    cKlinkPdu(int size);
    cKlinkPdu(const cKlinkPdu& orig);
    virtual ~cKlinkPdu();
    eTxStatus getTxStatus();
    void setTxStatus(eTxStatus s);
    void incrementRetry();
    int getRetryCount();
    void setFrameNumber(uint8_t f);
    uint8_t getFrameNumber();
private:
    eTxStatus mTxStatus;
    int mRetryCtr;
    uint8_t mFrameNumber;

};

#endif	/* CKLINKPDU_H */

